{#<pagetitle>NHS.UK | User authentication</pagetitle>#}
{% from '../../../common/components/p/macro.njk' import p %}
{% from '../../../common/components/heading/macro.njk' import heading %}
{% from '../../../common/components/input/macro.njk' import input %}
{% from '../../../common/components/button/macro.njk' import button %}

<form action="/user-auth" method="post">
    {{ heading({
      subHeading:{
          text: 'user-auth.section.heading',
            locale: locale
        },
      text: 'user-auth.h1',
      classes: 'nhsuk-fieldset__heading',
      locale: locale
    })
    }}

    {{ p({text:'user-auth.p1', classes:'nhsuk-body', locale: locale}) }}

	{{ input({
        "formGroup": {
               classes: "nhsuk-form-group"
        },
        "fieldset": {
               classes: "nhsuk-fieldset"
        },
         "label": {
           "text": "user-auth.label.emailaddress",
           locale:locale

         },
        id: "Email",
        name: "Email",
        classes: "nhsuk-input--width-20",
        errorMessage: parseErrors(errors, 'Email'),
        value: data.Email,
        inputmode: "email"
    }) }}
    {{ button({
        type: "submit",
        text: "common.button.continue",
        locale: locale
    }) }}
</form>